/* Fesslix - Stochastic Analysis
 * Copyright (C) 2010-2017 Wolfgang Betz
 *
 * Fesslix is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Fesslix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Fesslix.  If not, see <http://www.gnu.org/licenses/>. 
 */

#ifndef flxvi_flxvidlgs_H
#define flxvi_flxvidlgs_H

#include "flxvi_objbase.h"



/**
* @brief a collection of dialogs
*/
class FlxViDialogs : public FlxViObj_Base {
  public:
    /**
    * @brief shows the quit-dialog
    * @return true, if 'yes'; false otherwise
    */
    bool DlgQuit();
    
           
    /**
    * @brief clears the window and deletes it
    */
    static void erase_win(WINDOW *win_dlg, bool UpdateScreen=false);
    
    
    const std::string activate() { return 0; }
    void updateWindow(bool doupdateB=false) {}
};




#endif // flxvi_flxvidlgs_H

